[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [PATCH]? Re: forget LANG_CHOOSER for 3.0.18 (was Re: 3.0.18 testing)

Phil Blundell <pb@nexus.co.uk> writes:

> David Kimdon wrote:
> >Appears to work.  The flashing screen went away, and I had a
> >choice of languages.  I'll drop down and do a full install now and see
> >if anything else turns up.  If all is cool and no one squeals I'll
> >commit the above patch.
> Okay, cool.  We can always change it to use a more refined method later,

Fixed, with the introduction of a $scripts/EXTRACT_LIST_non_i18n for
libnewt0, and putting libnewt-utf-0 in $scripts/EXTRACT_LIST_i18n .

> like maybe actually making library reduction work for newt.

Ok, can you explain the lib reduction problem for newt?  Supposing I
only had the one utf8 -pic archive installed, would reduction happen?
Supposing I was building with i18n and I have libnewt0-pic installed,
would reduction happen in a broken way?

I'm asking because we can handle most of this in 'make check'...

...Adam Di Carlo..<adam@onshore-devel.com>...<URL:http://www.onshored.com/>

Reply to: